local fn = _gn(0xB0AD1238A709B1A2)
--- Checks if a boat is currently anchored.
-- This native is a getter for [SET_BOAT_ANCHOR](#\_0x75DBEC174AEEAD10).
-- ```
-- NativeDB Introduced: v573
-- ```
-- @param boat The boat to check.
-- @return Returns `true` if the boat is currently anchored, `false` otherwise.
function Global.IsBoatAnchoredAndFrozen(boat)
	return fn(boat, _r)
end
